GET api/sticker/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "e93f4f5d-6fc0-4495-9400-ddaea1c3a527",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "22f0ad86-45cb-495b-af99-ddd80d5b7f9a",
"contractItem_ID": "6c3c6f49-782d-4b8b-ae2d-e85daefa2f3b",
"departement_ID": "5c4d060e-c20e-461b-a48a-3afb9b47080f",
"departmentItem_ID": "8f8516ce-60ee-48cd-932e-96ca892476d0",
"iD": "4d32c210-5d88-44bd-ac61-77b21b3331bc",
"site_ID": "d3e9276f-dc22-48e8-ad6d-33753526a37d",
"siteCustomer_ID": "f11c567d-300a-4e9e-a884-3f056c9d6ac5",
"sticker_ID": "b2415657-df4a-4c06-8931-d93c3d201c2a",
"garment_ID": "641306af-6faf-4057-9861-8eb1f8a2c868"
},
{
"active": true,
"contract_ID": "22f0ad86-45cb-495b-af99-ddd80d5b7f9a",
"contractItem_ID": "6c3c6f49-782d-4b8b-ae2d-e85daefa2f3b",
"departement_ID": "5c4d060e-c20e-461b-a48a-3afb9b47080f",
"departmentItem_ID": "8f8516ce-60ee-48cd-932e-96ca892476d0",
"iD": "4d32c210-5d88-44bd-ac61-77b21b3331bc",
"site_ID": "d3e9276f-dc22-48e8-ad6d-33753526a37d",
"siteCustomer_ID": "f11c567d-300a-4e9e-a884-3f056c9d6ac5",
"sticker_ID": "b2415657-df4a-4c06-8931-d93c3d201c2a",
"garment_ID": "641306af-6faf-4057-9861-8eb1f8a2c868"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "3fdb74ed-8837-421c-9952-acfa88465bb6",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "f888b3c0-78ad-4bfb-95ff-14f66c18bd7c",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "73705c45-3997-4c78-b5df-1e98f2c73ce2",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "9a5c109d-a054-472d-b6ee-dab718a2f44d",
"stickerField_ID": "af57568c-3283-4395-ba8e-294635cd174e",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "3fdb74ed-8837-421c-9952-acfa88465bb6",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "f888b3c0-78ad-4bfb-95ff-14f66c18bd7c",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "73705c45-3997-4c78-b5df-1e98f2c73ce2",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "9a5c109d-a054-472d-b6ee-dab718a2f44d",
"stickerField_ID": "af57568c-3283-4395-ba8e-294635cd174e",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "261de74a-8d11-4ff6-9ff2-0b0c0302ac50",
"stickerType_ID": "7047277b-a754-4c4c-9fb6-ae80d626c304",
"stickerRelation_IDs": [
"56a7afa2-1f3b-4d90-8cdc-67f100136ac9",
"2035b235-13d9-43a7-8263-b267eaf8e76d"
],
"site_ID": "8ca08521-8cf9-4f50-a1b9-ba479ab41050"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.